%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment database access library
Name: 		edb
Version: 	1.0.5.050
Release: 	%mkrel 14
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		https://www.enlightenment.org/
Source: 	https://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
Patch0:		0001-fix-literal.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)

%description
Edb is a simple, clean high-level db access/storage library.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}.

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{libname}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-test --disable-gtk --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING README src/LICENSE
%{_bindir}/edb_*

%files -n %libname
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%_libdir/libedb.so
%{_includedir}/Edb.h


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.5.050-14.mga10
+ Revision: 2216542
- Mageia 10 Mass Rebuild

* Thu Nov 24 2022 ghibo <ghibo> 1.0.5.050-13.mga9
+ Revision: 1910760
- Add patch to fix literal
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.5.050-11.mga8
+ Revision: 1512077
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.5.050-10.mga7
+ Revision: 1297565
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 1.0.5.050-9.mga7
+ Revision: 1234855
- fix build on aarch64
- disable static build
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.0.5.050-8.mga6
+ Revision: 936736
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5.050-7.mga5
+ Revision: 740986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5.050-6.mga5
+ Revision: 678954
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5.050-5.mga4
+ Revision: 504043
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.5.050-4.mga3
+ Revision: 349483
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 18 2011 ennael <ennael> 1.0.5.050-3.mga1
+ Revision: 87957
- clean spec file
- imported package edb


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5.050-3mdv2011.0
+ Revision: 618028
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5.050-2mdv2010.0
+ Revision: 437355
- rebuild

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 1.0.5.050-1mdv2009.1
+ Revision: 347433
- SVN SNAPSHOT 20090227, release 1.0.5.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5.042-4mdv2009.0
+ Revision: 266610
- rebuild early 2009.0 package (before pixel changes)

  + Antoine Ginies <aginies@mandriva.com>
    - CVS SNAPSHOT 20080805, release 1.0.5.042

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.0.5.042-2mdv2009.0
+ Revision: 213969
- spec cleanup

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 1.0.5.042-2mdv2008.1
+ Revision: 168737
- bump release to build E's libs in right order

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 1.0.5.042-1mdv2008.1
+ Revision: 161249
- new version
- fix URL
- drop edb-config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 Austin Acton <austin@mandriva.org> 1.0.5.008-3mdv2008.1
+ Revision: 107474
- remove cumbersome gtk+1.2 frontend and tcl tests

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.008-2mdv2008.1
+ Revision: 104065
- CVS SNAPSHOT 20071031, release 1.0.5.008

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.008-1mdv2008.0
+ Revision: 76290
- fix missing edb-config
- remive edb-config multi-arch from spec
- fix path in tarball
- CVS SNAPSHOT 20070830, release 1.0.5.008

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-5mdv2008.0
+ Revision: 33074
- fix bad provides

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-4mdv2008.0
+ Revision: 32762
- add some provides

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-3mdv2008.0
+ Revision: 32620
- CVS SNAPSHOT 20070529, release 1.0.5.007

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1.0.5.007-2mdv2008.0
+ Revision: 30803
- increase release
- CVS snapshot 20070524

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.5.007-1mdv2008.0
+ Revision: 17124
- New snapshot
- Import edb



* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 1.0.5.006-0.20060323.2mdv2007.0
- rebuild

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 1.0.5.006-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 1.0.5.005-0.20060216.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 1.0.5.005-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20060111.1mdk
- new cvs checkout

* Thu Nov 24 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051124.1mdk
- new cvs checkout

* Sat Nov 12 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051112.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051109.1mdk
- new cvs checkout

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20050904.1mdk
- new cvs checkout

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 1.0.5.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050524.1mdk
- new cvs checkout

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.3mdk
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.2mdk
- devel provides %%name-devel

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 1.0.5.003-0.20050511.1mdk
- make specfile look the way I like
- new cvs checkout
- new e17 URL

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1.20040913.1mdk
- 1.0.5 20040913

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030724.1mdk
- 20030724

* Tue Jun 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030624.1mdk
- 20030624
- use mklibname

* Tue May 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030513.1mdk
- update to 20030513 CVS

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-1mdk
- 1.0.3
- update url
- fix requires/provides

* Fri Aug 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-3mdk
- fix provides in lib and lib-devel package
- make rpmlint happy about %%post %%postun	

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Tue Mar 13 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- Shamelessly rip out the spec from the Imlib2 ftp.
